Subject: bug#49057: 28.0.50; windmove-display-in-direction ignores windmove-display-no-select

From: martin rudalics <[email-masked]>
Date: Sun, 20 Jun 2021 11:21:06 +0200

> Do you intend to rewrite commands that currently use
 > switch-to-buffer-other-window (such as Buffer-menu-other-window
 > and dired-find-file-other-window) to use `display-buffer'
 > with '(nil ((select . t)))?  Probably not because
 > switch-to-buffer-other-window already uses pop-to-buffer.
 >
 > Then maybe you want to rewrite commands that currently use
 > `display-buffer' with ACTION=t (such as
 > Buffer-menu-switch-other-window and dired-display-file)
 > to use `display-buffer' with '(nil ((select . nil))) instead?

These do not use `pop-to-buffer' so I'd leave them alone.  Note that the
only value for 'select' I'd really care about is 'never' because it
means that `display-buffer' should try to refrain from focusing another
frame - provided the WM allows it.  But I doubt that people really care.

martin